Create a finding routing rule (ADMIN+)
POST
/finding-routing-rules
const url = 'https://api.invogi.com/v1/finding-routing-rules';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","company_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","finding_type":"EXACT_DUPLICATE","minimum_severity":"INFO","assignee_user_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","notify_by_email":true,"enabled":true,"priority":100}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.invogi.com/v1/finding-routing-rules \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "company_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "finding_type": "EXACT_DUPLICATE", "minimum_severity": "INFO", "assignee_user_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "notify_by_email": true, "enabled": true, "priority": 100 }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
required
string
company_id
string | null format: uuid
finding_type
string | null
minimum_severity
string | null
assignee_user_id
required
string format: uuid
notify_by_email
boolean
enabled
boolean
priority
integer
Responses
Section titled “Responses”Routing rule created
Invalid request
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
request_id
required
string
Example
{ "error": { "code": "NOT_FOUND" }}Missing or invalid API key
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
request_id
required
string
Example
{ "error": { "code": "NOT_FOUND" }}API key lacks required scope/role
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
request_id
required
string
Example
{ "error": { "code": "NOT_FOUND" }}